# Disable the debug package because vala isn't executable but rather is used to generate code
%global debug_package %{nil}

Name:          gupnp-vala
Version:       0.10.4
Release:       1%{?dist}
Summary:       GUPnP is a UPnP framework. This adds vala language bindings

Group:         Development/Languages
License:       LGPLv2+
URL:           http://www.gupnp.org/
Source0:       http://download.gnome.org/sources/%{name}/0.10/%{name}-%{version}.tar.xz

BuildRequires: vala-devel
BuildRequires: vala-tools
BuildRequires: gssdp-devel >= 0.12.0
BuildRequires: gupnp-devel >= 0.18.0
BuildRequires: gupnp-av-devel >= 0.10.0
BuildRequires: gupnp-dlna-devel >= 0.6.3
BuildRequires: libsoup-devel
Requires: pkgconfig
Requires: vala

%description
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points, written in C using GObject and libsoup. 
The GUPnP API is intended to be easy to use, efficient and flexible. 

This package adds vala language bindings

%prep
%setup -q

%build
%configure --target=%{_host_alias}
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

%check
make check

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_datadir}/vala/vapi/gupnp-1.0.deps
%{_datadir}/vala/vapi/gupnp-1.0.vapi
%{_datadir}/vala/vapi/gupnp-av-1.0.deps
%{_datadir}/vala/vapi/gupnp-av-1.0.vapi
%{_datadir}/vala/vapi/gupnp-dlna-1.0.deps
%{_datadir}/vala/vapi/gupnp-dlna-1.0.vapi
%{_libdir}/pkgconfig/gupnp-vala-1.0.pc

%changelog
* Sun Aug 19 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.10.4-1
- 0.10.4 stable release
- http://ftp.gnome.org/pub/GNOME/sources/gupnp-vala/0.10/gupnp-vala-0.10.4.news

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 13 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.10.3-1
- 0.10.3 stable release
- http://ftp.gnome.org/pub/GNOME/sources/gupnp-vala/0.10/gupnp-vala-0.10.3.news

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep 14 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.10.2-1
- 0.10.2 stable release
- http://ftp.gnome.org/pub/GNOME/sources/gupnp-vala/0.10/gupnp-vala-0.10.2.news

* Sun Sep 11 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.10.1-1
- 0.10.1 stable release
- http://ftp.gnome.org/pub/GNOME/sources/gupnp-vala/0.10/gupnp-vala-0.10.1.news

* Mon Sep  2 2011 Zeeshan Ali <zali@redhat.com> 0.10.0-1
- 0.10.0 stable release
- http://ftp.gnome.org/pub/GNOME/sources/gupnp-vala/0.10/gupnp-vala-0.10.0.news
- Correct CamelCasing for UPnP in summary.

* Mon Aug 6 2011 Zeeshan Ali <zali@redhat.com> 0.9.0-2
- Remove gupnp-ui dependency.

* Thu Jun 16 2011 Peter Robinson <pbrobinson@fedoraproject.org> 0.9.0-1
- 0.9.0 release

* Sat Apr  9 2011 Peter Robinson <pbrobinson@fedoraproject.org> 0.8.0-1
- 0.8.0 stable release

* Sat Jan 29 2011 Peter Robinson <pbrobinson@fedoraproject.org> 0.7.5-1
- New upstream 0.7.5 release
 
* Sat Jan 22 2011 Peter Robinson <pbrobinson@fedoraproject.org> 0.7.4-1
- New upstream 0.7.4 release
 
* Fri Jan  7 2011 Peter Robinson <pbrobinson@fedoraproject.org> 0.7.2-1
- New upstream 0.7.2 release
 
* Mon Nov  8 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.7.1-1
- New upstream 0.7.1 release
 
* Mon Nov  8 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.7.0-1
- New upstream 0.7.0 release
 
* Sat Aug 14 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.6.10-1
- New upstream 0.6.10 release

* Wed Jul 21 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.6.9-1
- New upstream 0.6.9 release

* Fri Jun 25 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.6.7-1
- New upstream 0.6.7 release

* Tue Apr 13 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.6.6-1
- New upstream 0.6.6 release

* Fri Apr  9 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.6.5-1
- New upstream 0.6.5 release

* Fri Feb  5 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.6.4-1
- New upstream 0.6.4 release

* Thu Dec 10 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.6.2-2
- Disable the empty debuginfo package

* Sat Nov 21 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.6.2-1
- New upstream 0.6.2 release

* Thu Sep 17 2009 Bastien Nocera <bnocera@redhat.com> 0.6-1
- Update to 0.6

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 21 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.5.4-2
- Add patch to fix 64 bit pkgconfig paths. Fixes RHBZ 496794

* Wed Jun  3 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.5.4-1
- New upstream release

* Wed Apr  8 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.5.3-5
- Rebuild

* Fri Apr  3 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.5.3-3
- Remove noarch, as its not due to the pkgconfig file

* Tue Mar 10 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.5.3-2
- Patch for noarch and some reqs thanks to Michel Salim

* Wed Feb 25 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.5.3-1
- New upstream version, review request fixes, update spec for new version

* Wed Jan 14 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.5-1
- New upstream version

* Wed Dec 31 2008 Peter Robinson <pbrobinson@fedoraproject.org> 0.4-1
- Update to new version to fix compile with newer vala and gupnp releases

* Wed Jul 9 2008 Peter Robinson <pbrobinson@fedoraproject.org> 0.2-2
- Fixed dep on vala-tools

* Wed Jul 9 2008 Peter Robinson <pbrobinson@fedoraproject.org> 0.2-1
- Initial release
